struct ff_constant_effect
Prev | Chapter 25. Input Subsystem | Next

## Name

struct ff_constant_effect — defines parameters of a constant force-feedback effect

## Synopsis

    struct ff_constant_effect {
      __s16 level;
      struct ff_envelope envelope;
    };

## Members

level

  strength of the effect; may be negative

envelope

  envelope data

Prev | Up | Next
struct ff_envelope | Home | struct ff_ramp_effect